<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Form"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1d / January 2013 ==

*/

	$template = $activeModules[$directory]['template'];

	$query = "SELECT * FROM ".CPO_TEMPLATES." "
			."WHERE id='".addslashes($template)."'";
	DEBUG(2, $query, __FILE__, __LINE__);   
	$db_2 = new DB;
	$db_2->query($query);

	if ($db_2->num_rows()<=0) {
		printf('NOTE: No template <em>%s</em>found?<br />Unable to parse article...', $template);
		return;
	}

	$db_2->next_record();

//	echo '<pre>'.htmlspecialchars($db_2->v('tpl_detail'), ENT_COMPAT, 'ISO-8859-15').'</pre>';

	$ph_replace[0] = "/<!-- Text:\s*([^;]*?)\s*;/i";
	$ph_replace[1] = "/<!-- Html:\s*([^;]*?)\s*;/i";
	$ph_replace[2] = "/<!-- Value:\s*([^;]*?)\s*;/i";
	$ph_replace[3] = "/<!-- Image:\s*([^;]*?)\s*;/i";
	$ph_replace[4] = "/<!-- File:\s*([^;]*?)\s*;/i";
	$ph_replace[5] = "/<!-- Url:\s*([^;]*?)\s*;/i";

	$ph_with[0] = "<!-- Form: $1; content=text;";
	$ph_with[1] = "<!-- Form: $1; content=html;";
	$ph_with[2] = "<!-- Form: $1; content=value;";
	$ph_with[3] = "<!-- Form: $1; content=image;";
	$ph_with[4] = "<!-- Form: $1; content=file;";
	$ph_with[5] = "<!-- Form: $1; content=url;";



	$template_datei_full = preg_replace($ph_replace,$ph_with,$db_2->v('tpl_detail'))."\n";
	$template_datei = preg_replace($ph_replace,$ph_with,$db_2->v('tpl_detail'));

	// this handler is used in the parser to load content into the $content-Array
	$hdlr_parser_content['form']     = array('include: ' . CPO_BASEDIR . $activeModules[$directory]['directory'] . '/includes/parser_c_form.inc.php');

	// this handler creates the replacement for the placeholder
	$hdlr_parser_replacement['form'] = array('include: ' . CPO_BASEDIR . $activeModules[$directory]['directory'] . '/includes/parser_r_form.inc.php');


//	echo '<pre>'.htmlspecialchars($template_datei, ENT_COMPAT, 'ISO-8859-15').'</pre>';

//	$template_datei_full = str_replace("<!-- Text:","<!-- Form:",$db_2->v('tpl_detail'))."\n";
//	$template_datei = str_replace("<!-- Text:","<!-- Form:",$db_2->v('tpl_detail'));

	$templates_id = $template;

	require(CPO_BASEDIR.'_include/parser.php');
?>