<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Form"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1d / January 2013 ==

*/

define('CPO', true);
require_once('../../_include/common.inc.php');
	
// Wenn Sie Probleme mit der Erzeugung des Captchas und Benutzung der Schriften haben,
// dann sollten Sie diese Variable mit dem absoluten Pfad zu dieser Datei fllen.
// Msste bei einer Fehlermeldung direkt ablesbar sein, z.B. sowas wie
// /srv/www/vhosts/meinedomain.de/httpdocs/mod_form/captcha/
// ergibt dann
// $captchaDir = '/srv/www/vhosts/meinedomain.de/httpdocs/mod_form/captcha/';

$captchaDir = './';
$directory = str_replace(array(CPO_BASEDIR,realpath(dirname(__FILE__).'/../../'),'\\','/'),'',realpath(dirname(__FILE__).'/../').'/');

//echo realpath(dirname(__FILE__).'/../')."<br>";
//echo realpath(dirname(__FILE__).'/../../')."<br>";
//echo $directory."<br>";
//echo CPO_BASEDIR."<br>";

// Ein paar Einstellungen ***************************************************
$type = ($activeModules[$directory]['style']) ? $activeModules[$directory]['style'] :'outline'; // shadow, outline
// die Dateien
$imageFile = ($activeModules[$directory]['pic']) ? $activeModules[$directory]['pic'] : 'checker.png'; // die Bilddatei
$truetypeFile = ($activeModules[$directory]['font']) ? $activeModules[$directory]['font'] : 'XFILES.TTF'; // die TT-Schriftdatei
$truetypeFile = ($_GET['font']) ? $_GET['font'] : $truetypeFile; // die TT-Schriftdatei
// Angaben zu Position und Ausrichtung des Textes
$x_pos_min = 5;
$x_pos_max = 30;
$y_pos_min = 31;
$y_pos_max = 33;
$winkel_min = 0;
$winkel_max = 5;
// weitere Werte
$shadowDrop = 2; // die Schattenstrke (>0 Schatten rechts unten, <0 Schatten links oben) 
$ttfsize = 22; //Schriftgrsse 
//Der String $possible enthlt alle Zeichen, die verwendet werden sollen 
$possible="ABCDEFGHJKLMNPRSTUVWXYZabcdefghjkmnpqrstuvwxyz23456789"; 
$numChars = 5; // Die Zahl bestimmt die Anzahl der dargestellten Zeichen
// ***************************************************************************



/*
CAPTCHA-Skript:
===============
Quelle: http://www.stoppt-den-spam.info/webmaster/captcha-tutorial/index.html
von Roberto Zehnder, Rosenweg 15, 5722 Grnichen, Schweiz
// Erweitert von Matthias Vorwergk - matthias.vorwergk@gmx.de
// nochmal erweitert durch Markus Rsel http://www.conpresso4.de
*/


unset($_SESSION['captcha_spam']); 

function randomString($len,$possible) { 
  function make_seed(){ 
	 list($usec , $sec) = explode (' ', microtime()); 
	 return (float) $sec + ((float) $usec * 100000); 
  } 
  srand(make_seed());  
  $str=""; 
  while(strlen($str)<$len) { 
	$str.=substr($possible,(rand()%(strlen($possible))),1); 
  } 
return($str); 
} 

$text = randomString($numChars,$possible); 
$_SESSION['captcha_spam'] = $text; 
	  
header('Content-type: image/png'); 
$size = getimagesize($captchaDir.$imageFile);
$im = imagecreatefrompng($captchaDir.$imageFile);

// Convert the Image to PNG-24
$img = imagecreatetruecolor($size[0],$size[1]);
imagecopy($img,$im,0,0,0,0,$size[0],$size[1]);
imagedestroy($im);
//$img = ImageCreateFromPNG($captchaDir.$imageFile);  
$text_color = $activeModules[$directory]['text_color'];
$r = hexdec(substr($text_color,1,2));
$g = hexdec(substr($text_color,3,2));
$b = hexdec(substr($text_color,5,2));
$color = imagecolorallocate ($img, $r, $g, $b);
$shadow_color = $activeModules[$directory]['shadow_color'];
$r = hexdec(substr($shadow_color,1,2));
$g = hexdec(substr($shadow_color,3,2));
$b = hexdec(substr($shadow_color,5,2));
$shadowcolor = imagecolorallocate ($img, $r, $g, $b);

//$shadowcolor = ImageColorAllocate($img, $sred, $sgreen, $sblue); 
//$color = ImageColorAllocate($img, $tred, $tgreen, $tblue); 
$ttf = $captchaDir.$truetypeFile; 
$angle = rand($winkel_min,$winkel_max); 
$t_x = rand($x_pos_min,$x_pos_max); 
$t_y = rand($y_pos_min,$y_pos_max); 

switch ($type)  {
	case 'shadow':
		imagettftext($img, $ttfsize, $angle, $t_x+$shadowDrop, $t_y+$shadowDrop, $shadowcolor, $ttf, $text); 
		imagettftext($img, $ttfsize, $angle, $t_x, $t_y, $color, $ttf, $text); 
		break;
	case 'outline':
		imagettftext($img, $ttfsize, $angle, $t_x-$shadowDrop, $t_y-1, $shadowcolor, $ttf, $text); 
		imagettftext($img, $ttfsize, $angle, $t_x-$shadowDrop, $t_y+1, $shadowcolor, $ttf, $text); 
		imagettftext($img, $ttfsize, $angle, $t_x+$shadowDrop, $t_y-1, $shadowcolor, $ttf, $text); 
		imagettftext($img, $ttfsize, $angle, $t_x+$shadowDrop, $t_y+1, $shadowcolor, $ttf, $text); 
		imagettftext($img, $ttfsize, $angle, $t_x, $t_y, $color, $ttf, $text); 
		break;
}

imagepng($img); 
imagedestroy($img); 

?> 