<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Form"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1d / January 2013 ==

*/

$newline = "\n"; // change to fit your needs, either \r\n or \n

// Achtung! Aufgrund dieser Funktion mssen Upload-Felder KEINES der Elemente des find-Array im Namen haben!
// sollte entfernt werden!
if (!function_exists('keyFix'))  {
	function keyFix($key)
	{
	  $find = array (" ",".","[","]","%","","$","?","=");
	  $replace = array ("_");
	  return str_replace($find,$replace,$key);
	}
}


if (!function_exists('checkURLsyntax'))  {
	function checkURLsyntax($url)
	{
		if(!eregi("^(http|https)+(:\/\/)+[a-z0-9\/\.\_\?\&\=\#\:\-]+$", $url)) { 
			return false; 
		} else {
			return true; 
		}
	}
}

if (!function_exists('modHelp'))  {
	function modHelp($topic,$module)  {
		return 'http://manual.conpresso4.de/'.$module.'/'.$topic.".htm";
	}
}

// Moduleinstellungen speichern (neue Version mit automatischem Einlesen neuer Variablen)************
if (isset($_POST['go'])) {
	$new_settings = $_POST;
    foreach ($activeModules[$directory] as $k=>$v) {
        if (!isset($_POST['cpoFormNew'][$k])) continue;
        if (is_bool($activeModules[$directory][$k])) {
            $activeModules[$directory][$k] = (bool) $_POST['cpoFormNew'][$k];
        } else {
			$activeModules[$directory][$k] = $_POST['cpoFormNew'][$k];
		}
		if (array_key_exists($k, $new_settings['cpoFormNew'])) unset($new_settings['cpoFormNew'][$k]);
    }
    foreach ($new_settings['cpoFormNew'] as $k=>$v) {
		$activeModules[$directory][$k] = $new_settings['cpoFormNew'][$k];
	}
    $c_datum = date ("Y-m-d H:i:s", time());
    $query = sprintf(
             "UPDATE ".CPO_MODULES." SET options ="
            ." '%s' WHERE name = '%s'", 
            addslashes(serialize($activeModules[$directory])),
			$directory
    );
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query); 

    $message[] = __('Module settings were updated!');
}

// Formularauswertung mittels Parser ************************************************************
if ($_REQUEST['action']=="form") {


	$form_error = false;

	// Captcha-Check
	if ($activeModules[$directory]['captcha'] == "yes") {
		if(isset($_SESSION['captcha_spam']) AND $_REQUEST["sicherheitscode"] == $_SESSION['captcha_spam']){ 
			unset($_SESSION['captcha_spam']);
		} else {
			$message[] = $activeModules[$directory]['captcha_error'];
			$form_error = true;
		}
	}
   if (class_exists('antiCSRF')) {
//	   $antiCSRF = $GLOBALS['antiCSRF']; 
	   if (!$antiCSRF->checkToken()) { 
			$message[] = ___('Security check failed. Please try again.'); 
			logaction('mod_form', 'CSRF check failed.'); 
			$form_error = true;
	   }
   }

	// Datei-Upload
	if ($activeModules[$directory]['upload']=="yes") {
		// um Dateien zu prfen brauchen wir schnell noch ein Feld
		// wenn error=0 dann schreiben wir den Namen ins Feld
       // print_r($_FILES);
		if (is_array($_FILES['content']['error'])) {
			foreach($_FILES['content']['error'] AS $fileplaceholder => $filedata)  {
				foreach($filedata AS $filetype => $fileerror)  {

					$_REQUEST['content'][$fileplaceholder][$filetype] = (!$fileerror) ? $fileplaceholder : '';
                    echo $fileerror.'<br />'.$fileplaceholder.'<hr />';

					$extend = implode("|",explode(" ",trim($activeModules[$directory]['extensions'])));
					if (!eregi("($extend)$", $_FILES['content']['name'][$fileplaceholder][$filetype]) && (
						$_FILES['content']['type'][$fileplaceholder]['image'] || $_FILES['content']['type'][$fileplaceholder]['file'] ) ) 
						{
						$message[] = sprintf($activeModules[$directory]['nonallowedExt'],
										$_FILES['content']['name'][$fileplaceholder][$filetype],				
										$activeModules[$directory]['extensions']);
						$form_error = true;
						$markAllFiles += 1;
					}
					if (array_key_exists('image',$_FILES['content']['type'][$fileplaceholder])  && 
						strpos($_FILES['content']['type'][$fileplaceholder]['image'],"image") === false &&
						$_FILES['content']['type'][$fileplaceholder]['image'])
					{
						$message[] = sprintf($activeModules[$directory]['warnImage'],
										$_FILES['content']['name'][$fileplaceholder][$filetype]);
						$form_error = true;
						$markAllFiles += 1;
					}
					if (array_key_exists('file',$_FILES['content']['type'][$fileplaceholder])  && 
						strpos($_FILES['content']['type'][$fileplaceholder]['file'],"text") === false &&
						strpos($_FILES['content']['type'][$fileplaceholder]['file'],"audio") === false &&
						strpos($_FILES['content']['type'][$fileplaceholder]['file'],"video") === false &&
						strpos($_FILES['content']['type'][$fileplaceholder]['file'],"application") === false &&
						$_FILES['content']['type'][$fileplaceholder]['file'])
					{
						$message[] = sprintf($activeModules[$directory]['warnFile'],
										$_FILES['content']['name'][$fileplaceholder][$filetype]);
						$form_error = true;
						$markAllFiles += 1;
					}
					$markAllFiles += $fileerror;
				}
			}
		}
	}

	// special_check.in.php abarbeiten
	include(CPO_BASEDIR.$directory.'/includes/special_check.inc.php');

	// mal schauen, welche Felder "needed" sind
	include(CPO_BASEDIR.$directory.'/includes/form_parser.inc.php');
	$parsed_form = $template_datei;

	// jetzt wissen wir, ob es Fehler gibt!

	if ($form_error) 
	{
		$message[] = $activeModules[$directory]['defaultError'];
		if ($activeModules[$directory]['fileError'] && $activeModules[$directory]['upload']=="yes") $message[] = $activeModules[$directory]['fileError'];
		$displayAgain = true;
		$markAllFiles += 1;
	}
	else
	{
		$form_ok = true;

		// jetzt eintragen

		// Datei-Upload
		if ($activeModules[$directory]['upload']=="yes") {
			if (is_array($_FILES['content']['error']))  {
				foreach($_FILES['content']['error'] AS $fileplaceholder => $filedata)  {
					foreach($filedata AS $filetype => $fileerror)  {
						if ($fileerror!=0) {
							unset ($_FILES['content']['tmp_name'][$fileplaceholder][$filetype]);
						} else {
							include (CPO_BASEDIR.$directory.'/includes/fileupload.inc.php');
						}
					}
				}	
			}
		}

		$data['autor']			= ($data['autor']) ? $data['autor'] : 'Anonymous';
		if ($activeModules[$directory]['release'] == 'yes')  $data['releasedby'] = ($data['autor']) ? $data['autor'] : 'mod_form';
		$data['rubric_id']		= $activeModules[$directory]['rubric'];
		$data['titel']			= ($data['titel']) ? $data['titel'] : __('Form input');
		$data['templates_id']	= $activeModules[$directory]['template'];
		$data['email']			= ($data['email']) ? $data['email'] : $activeModules[$directory]['recipient'];
		if (empty($data['pub_datum']))		$data['pub_datum']		= date('Y-m-d H:i:s', time());
		if ($activeModules[$directory]['auto_expire']=="yes")	$data['verfallsdatum']	= date('Y-m-d', time() + $activeModules[$directory]['expire_time']*86400 ) . ' 23:59:59';
		if (empty($data['verfallsdatum']))	$data['verfallsdatum']	= '2036-01-01 00:00:00';

		$article_nr = save_article($data);

		if ($activeModules[$directory]['release'] == 'no')  {  // Artikel sofort sperren!
			$query = sprintf(
					 "UPDATE ".CPO_NEWS." SET artikel_archiv = 0, freigabe = 2 WHERE nr = '%s'", 
					$article_nr
			);
			DEBUG(1, $query, __FILE__, __LINE__);
			$db_block = new DB;
			$db_block->query($query); 
		}

		if ($article_nr)
		{
			$message[] = $activeModules[$directory]['successMessage'].$activeModules[$directory]['conversionCode'];
			logaction('form input', ($_POST['nr']!='' ? $_POST['nr'].': ' : '').$data['titel']);

			// Mail vorbereiten
			$db_nr					= $article_nr;
			$db_autor				= $data['autor'];
			$db_email				= $data['email'];
			$db_initial				= 'form';
			$db_template			= $data['templates_id'];
			$db_idx					= ($data['idx']) ? $data['idx'] : 'zzzzzz';
			$db_pub_datum			= $data['pub_datum'];
			$db_verfallsdatum		= $data['verfallsdatum'];
			$db_titel				= $data['titel'];
			$db_changer				= 'mod_form';
			$db_rubric_id			= $data['rubric_id'];
			$db_last_modify			= date('Y-m-d H:i:s', time());
			$template_datei_full	= $db_2->v('tpl_javascript')."\n";
			$template_datei			= $db_2->v('tpl_javascript');
			$templates_id			= $template;

			require(CPO_BASEDIR.'_include/parser.php');
			$nachricht = $template_datei;
			
			// Mail an Admin?
			if ($activeModules[$directory]['mail']=="yes")
			{
				$empfaenger = $activeModules[$directory]['recipient'];
				$betreff = $activeModules[$directory]['mail_prefix'].sprintf($activeModules[$directory]['subject'],$data['titel']);
				if ( $activeModules[$directory]['encoding'] )  {
					if ($activeModules[$directory]['encoding']=='default')  $encoding = iconv_get_encoding('output_encoding');
					else if ($activeModules[$directory]['encoding']=='iso')  $encoding = 'ISO-8859-1';
					else if ($activeModules[$directory]['encoding']=='utf8')  $encoding = 'UTF-8';
					$betreff = '=?'.$encoding.'?Q?' . iconv ( iconv_get_encoding('internal_encoding') , $encoding , $betreff ) . '?=';
					$nachricht = iconv ( iconv_get_encoding('internal_encoding') , $encoding , $nachricht );
					$contentType = 'Content-Type: text/plain; charset='.$encoding . $newline;
				}
				$header = 'From: '. $data['email'] . $newline .
				   'Reply-To: '.$data['email'] . $newline .
			       $contentType . 
				   'X-Mailer: mod_form by conpresso4.de via PHP/' . phpversion();

				mail($empfaenger, $betreff, $nachricht, $header);
			}
			if ($activeModules[$directory]['confirmation']!="none")
			{
				if ($activeModules[$directory]['confirmation']=="mail" || $activeModules[$directory]['confirmation']=="both")
				{
					// Besttigungs-Mail
					$empfaenger = $data['email'];
					$betreff = sprintf($activeModules[$directory]['subject'],$data['titel']);
					if ( $activeModules[$directory]['encoding'] )  {
						if ($activeModules[$directory]['encoding']=='default')  $encoding = iconv_get_encoding('output_encoding');
						else if ($activeModules[$directory]['encoding']=='iso')  $encoding = 'ISO-8859-1';
						else if ($activeModules[$directory]['encoding']=='utf8')  $encoding = 'UTF-8';
						$betreff = '=?'.$encoding.'?Q?' . iconv ( iconv_get_encoding('internal_encoding') , $encoding , $betreff ) . '?=';
						// $nachricht = iconv ( iconv_get_encoding('internal_encoding') , $encoding , $nachricht );
						// $contentType = 'Content-Type: text/plain; charset='.$encoding . $newline;
					}
					$header = 'From: '. $data['email'] . $newline .
					   'Reply-To: '.$data['email'] . $newline .
					   $contentType . 
					   'X-Mailer: mod_form by conpresso4.de via PHP/' . phpversion();

					mail($empfaenger, $betreff, $nachricht, $header);
				}
				if ($activeModules[$directory]['confirmation']=="page" || $activeModules[$directory]['confirmation']=="both")
				{
					// Besttigungs-Seite
					$db_nr = $article_nr;
					$template_datei_full = $db_2->v('tpl_detail')."\n";
					$template_datei = $db_2->v('tpl_detail');
					$templates_id = $template;

					require(CPO_BASEDIR.'_include/parser.php');
					$message[] = sprintf($activeModules[$directory]['subject'],$data['titel']) . ':<br />' . $template_datei; 
				}
			}
			// Artikel lschen, wenn keine Rubrik zum Speichern gewhlt wurde
			if ($activeModules[$directory]['rubric'] == "-1") {
				$db_delentry = new DB;
				$query_delete = "DELETE FROM ".CPO_NEWS." WHERE nr = ".$article_nr;
				$db_delentry->query($query_delete); 
				$query_delete = "DELETE FROM ".CPO_CONTENT_FILES." WHERE article_id = ".$article_nr;
				$db_delentry->query($query_delete);
				$query_delete = "DELETE FROM ".CPO_CONTENT_HTML." WHERE article_id = ".$article_nr;
				$db_delentry->query($query_delete);
				$query_delete = "DELETE FROM ".CPO_CONTENT_IMAGES." WHERE article_id = ".$article_nr;
				$db_delentry->query($query_delete);
				$query_delete = "DELETE FROM ".CPO_CONTENT_TEXT." WHERE article_id = ".$article_nr;
				$db_delentry->query($query_delete);
				$query_delete = "DELETE FROM ".CPO_CONTENT_URLS." WHERE article_id = ".$article_nr;
				$db_delentry->query($query_delete);
			}
		}
		else
		{
			$message[] = __('An error occured while trying to save your article!');
		}
	
	}
}
?>