<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Form"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1d / January 2013 ==

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php');

// Sprache
$translator->addTranslation('form',CPO_BASEDIR.$activeModules[$directory]['directory'].'/lang');

// Seitenausgabe ********************************************************
include(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/producer.inc.php');

// Header
require(CPO_BASEDIR.'_include/header.php');

printPageHeader(
	__('Form'),
	__('In this view the predefined templates will be installed.'),
	__($help.'?about=options')
);

// Gstebuch-Template ************************************************************************************
$template_name = "Gstebuch [FORM]";

$query = "INSERT INTO ".$dbPrefix."_templates (`id`, `name`, `tpl_first`, `tpl_detail`, `tpl_javascript`, `c_time`, `changer`) VALUES ('', '".$template_name."', '<div><!-- ifSet: Email; --><a href=\"mailto:<!-- Text: Email; -->\"><!-- /ifSet --><b><!-- Text: Name; strip_tags; --></b><!-- ifSet: Email; --></a><!-- /ifSet --><!-- ifSet: Homepage; --> (<a href=\"<!-- text: Homepage; -->\" target=\"_blank\"><!-- text: Homepage; --></a>)<!-- /ifSet --> hat am <b><!-- Value: pub_date; format=d.m.Y; --></b> um <b><!-- Value: pub_date; format=H:i; -->Uhr</b> folgendes geschrieben:<br /><!-- Text: Nachricht; strip_tags; nl2br; --></div><hr/>', '<table border=\"1\">\n	<tr>\n		<td>Name</td>\n		<td><!-- Text: Name; title; author; needed=Sie haben doch sicher einen Namen, oder? --></td>\n	</tr>\n	<tr>\n		<td>Email</td>\n		<td><!-- Text: Email; mailcheck; --></td></tr><tr><td>Homepage</td><td><!-- Text: Homepage; --></td>\n	</tr>\n	<tr>\n		<td>Nachricht</td>\n		<td><!-- Text: Nachricht; type=textarea; cols=40; rows=5; needed=Ohne eine Nachricht macht ein Gstebucheintrag wenig Sinn; --></td>\n	</tr>\n</table>', 'Eine neue Nachricht im Gstebuch!\n\nName: <!-- text: Name; strip_tags; -->\n<!-- ifSet: Email; -->E-Mail: <!-- text: Email; --><!-- /ifSet -->\n<!-- ifSet: Homepage; -->Homepage: <!-- text: Homepage; --><!-- /ifSet -->\n\nNachricht:<!-- text: Nachricht; strip_tags; nl2br; -->', '".date('Y-m-d H:i:s')."', 'FORM-MODULE');";
$db->query($query);
// anschlieend die Nummer des Templates ermiteln
$query = "SELECT id FROM ".$dbPrefix."_templates WHERE name = '".$template_name."'";
$db->query($query);
$db->next_record();
$guestbook_template_id = $db->v('id');

// Placeholder-Tabelle ergnzen
$ddata = serialize(array('label'=>'', 'short'=>'1'));
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$guestbook_template_id.", 4, 'Name', 1, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$guestbook_template_id.", 4, 'Email', 2, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$guestbook_template_id.", 4, 'Homepage', 3, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$guestbook_template_id.", 4, 'Nachricht', 4, '');";
$db->query($query);
  
$message[] = "Das Gstebuch-Template <i>".$template_name."</i> wurde angelegt";

// Kontakt-Template ************************************************************************************
$template_name = "Kontakt [FORM]";

$query = "INSERT INTO ".$dbPrefix."_templates (`id`, `name`, `tpl_first`, `tpl_detail`, `tpl_javascript`, `c_time`, `changer`) VALUES ('', '".$template_name."', '<div><!-- ifSet: Email; --><a href=\"mailto:<!-- Text: Email; -->\"><!-- /ifSet --><b><!-- Text: Name; strip_tags; --></b><!-- ifSet: Email; --></a><!-- /ifSet --> hat am <b><!-- Value: pub_date; format=d.m.Y; --> um <!-- Value: pub_date; format=H:i; -->Uhr</b> folgendes geschrieben:<br />\n<!-- Text: Nachricht; strip_tags; nl2br; --></div>\n<hr/> ', '<table border=\"1\">\n<tr>\n<td>Name</td>\n<td><!-- Text: Name; title; author; needed; needed=Sie haben doch sicher einen Namen, oder? --></td>\n</tr>\n<tr>\n<td>Email</td>\n<td><!-- Text: Email; authoremail; mailcheck=Das scheint aber keine gltige Mail-Adresse zu sein...; needed;--></td>\n</tr>\n<tr>\n<td>Nachricht</td>\n<td><!-- Text: Nachricht; type=textarea; cols=40; rows=5; needed=Bitte geben Sie eine Nachricht ein; --></td>\n</tr>\n</table>', 'Eine neue Nachricht fr Sie!\n\nName: <!-- text: Name; strip_tags; -->\n<!-- ifSet: Email; -->E-Mail: <!-- text: Email; --><!-- /ifSet -->\nNachricht:\n<!-- text: Nachricht; strip_tags; nl2br; -->', '".date('Y-m-d H:i:s')."', 'FORM-MODULE');";
$db->query($query);
// anschlieend die Nummer des Templates ermiteln
$query = "SELECT id FROM ".$dbPrefix."_templates WHERE name = '".$template_name."'";
$db->query($query);
$db->next_record();
$guestbook_template_id = $db->v('id');

// Placeholder-Tabelle ergnzen
$ddata = serialize(array('label'=>'', 'short'=>'1'));
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$guestbook_template_id.", 4, 'Name', 1, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$guestbook_template_id.", 4, 'Email', 2, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$guestbook_template_id.", 4, 'Nachricht', 3, '');";
$db->query($query);
  
$message[] = "Das Kontakt-Template <i>".$template_name."</i> wurde angelegt";

// Gstebuch-Template ************************************************************************************
$template_name = "Veranstaltung [FORM]";

$query = "INSERT INTO ".$dbPrefix."_templates (`id`, `name`, `tpl_first`, `tpl_detail`, `tpl_javascript`, `c_time`, `changer`) VALUES ('', '".$template_name."', '<div><a href=\"../_rubric/detail.php?nr=<!-- Value: articlenr -->&rubric=Events\"><!-- text: Datum der Veranstaltung; --> <!-- text: Name der Veranstaltung; --></a></div>', '<table border=\"1\">\n<tr>\n<td>Datum der Veranstaltung</td>\n<td><!-- Text: Datum der Veranstaltung; title; needed; --></td>\n</tr>\n<tr>\n<td>Name der Veranstaltung</td>\n<td><!-- Text: Name der Veranstaltung; title; needed;--></td>\n</tr>\n<!-- ifSet: Link zur Veranstaltung; --><tr>\n<td>Link zur Veranstaltung</td>\n<td><!-- Text: Link zur Veranstaltung; --></td>\n</tr><!-- /ifSet -->\n<tr>\n<td>Name</td>\n<td><!-- Text: Name; author; needed; needed=Sie haben doch sicher einen Namen, oder? --></td>\n</tr>\n<tr>\n<td>Email</td>\n<td><!-- Text: Email; mailcheck=Irgendwas stimmt an dieser Adresse nicht...?!; needed=Die Mail-Adresse bentigen wir fr Rckfragen; --></td>\n</tr>\n<!-- ifSet: Bemerkungen; --><tr>\n<td>Bemerkungen</td>\n<td><!-- Text: Bemerkungen; type=textarea; cols=40; rows=5; --></td>\n</tr><!-- /ifSet -->\n</table>', 'Eine neues Event wurde angemeldet!\n\nName: <!-- text: Name der Veranstaltung; --> am <!-- text: Datum der Veranstaltung; -->\n\nMehr Infos finden Sie im ConPresso-Backend!', '".date('Y-m-d H:i:s')."', 'FORM-MODULE');";
$db->query($query);
// anschlieend die Nummer des Templates ermiteln
$query = "SELECT id FROM ".$dbPrefix."_templates WHERE name = '".$template_name."'";
$db->query($query);
$db->next_record();
$guestbook_template_id = $db->v('id');

// Placeholder-Tabelle ergnzen
$ddata = serialize(array('label'=>'', 'short'=>'1'));
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$guestbook_template_id.", 4, 'Datum der Veranstaltung', 1, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$guestbook_template_id.", 4, 'Name der Veranstaltung', 2, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$guestbook_template_id.", 4, 'Link zur Veranstaltung', 3, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$guestbook_template_id.", 4, 'Name', 4, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$guestbook_template_id.", 4, 'Email', 5, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$guestbook_template_id.", 4, 'Bemerkungen', 6, '');";
$db->query($query);
  
$message[] = "Das Veranstaltung-Template <i>".$template_name."</i> wurde angelegt";

// Upload-Template ************************************************************************************
$template_name = "Upload [FORM]";

$query = "INSERT INTO ".$dbPrefix."_templates (`id`, `name`, `tpl_first`, `tpl_detail`, `tpl_javascript`, `c_time`, `changer`) VALUES ('', '".$template_name."', '<div><!-- ifSet: Email; --><a href=\"mailto:<!-- Text: Email; -->\"><!-- /ifSet --><b><!-- Text: Name; strip_tags; --></b><!-- ifSet: Email; --></a><!-- /ifSet --> hat am <b><!-- Value: pub_date; format=d.m.Y; --> um <!-- Value: pub_date; format=H:i; -->Uhr</b> einen Upload durchgefhrt</div>\n<div><a href=\"detail.php?nr=<!-- Value: articlenr -->&rubric=<!-- Value: Rubric; name; -->\">zur Detailansicht</a></div>\n<hr/> ', '<table border=\"1\">\n<tr>\n<td>Name</td>\n<td><!-- Text: Name; title; author; needed; needed=Sie haben doch sicher einen Namen, oder? --></td>\n</tr>\n<tr>\n<td>Email</td>\n<td><!-- Text: Email; authoremail; mailcheck=Das scheint aber keine gltige Mail-Adresse zu sein...; needed;--></td>\n</tr>\n<tr>\n<td>Nachricht</td>\n<td><!-- Text: Nachricht; type=textarea; cols=40; rows=5; needed=Bitte geben Sie eine Nachricht ein; --></td>\n</tr>\n<!-- ifSet: mod_form; -->\n<tr>\n<td>Bild</td>\n<td><!-- Image: Bild 1; needed=Bitte whlen Sie ein Bild aus; --></td>\n</tr>\n<tr>\n<td>Datei</td>\n<td><!-- File: Datei 1; needed=Bitte whlen Sie eine Datei aus; --></td>\n</tr>\n<!-- /ifSet -->\n<!-- ifNotSet: mod_form; -->\n<tr>\n<td>Bild</td>\n<td><a href=\"../_data/<!-- Image: Bild 1; file; -->\" target=\"_blank\"><img src=\"../_data/<!-- Image: Bild 1; file; -->\" width=\"100\" border=\"0\" alt=\"Anklicken fr Originalgre\" /></a></td>\n</tr>\n<tr>\n<td>Datei</td>\n<td><a href=\"../_data/<!-- File: Datei 1; file; -->\" target=\"_blank\"><!-- File: Datei 1; file; --></a> <!-- File: Datei 1; hrsize; --></td>\n</tr>\n<!-- /ifNotSet -->\n<tr>\n<td>Beschreibung</td>\n<td><!-- HTML: Beschreibung; type=textarea; cols=40; rows=5; needed=Bitte geben Sie eine Beschreibung ein; --></td>\n</tr>\n<!-- ifSet: mod_form; -->\n<tr>\n<td>URL</td>\n<td><!-- url: Homepage; needed=Bitte geben Sie eine URL ein; urlcheck; --></td>\n</tr>\n<!-- /ifSet -->\n<!-- ifNotSet: mod_form; -->\n<tr>\n<td>URL</td>\n<td><a href=\"<!-- url: Homepage; url; -->\" target=\"_blank\"><!-- url: Homepage; url; --></a></td>\n</tr>\n<!-- /ifNotSet -->\n</table> ', 'Ein neuer Datei-Upload!\n\nName: <!-- text: Name; strip_tags; -->\n<!-- ifSet: Email; -->E-Mail: <!-- text: Email; --><!-- /ifSet -->\nNachricht:\n<!-- text: Nachricht; strip_tags; nl2br; --> \n\nDateianlagen\nBild: ".BASE_ABS."/_data/<!-- image: Bild 1; file; -->\nDatei: ".BASE_ABS."/_data/<!-- file: Datei 1; file; -->\n\nDen Eintrag knnen Sie aufrufen unter ".BASE_ABS."/_rubric/detail.php?nr=<!-- Value: articlenr -->&rubric=RUBRIKNAME\nMglicherweise ist noch eine Freigabe erforderlich!\n', '".date('Y-m-d H:i:s')."', 'FORM-MODULE');";
$db->query($query);
// anschlieend die Nummer des Templates ermiteln
$query = "SELECT id FROM ".$dbPrefix."_templates WHERE name = '".$template_name."'";
$db->query($query);
$db->next_record();
$upload_template_id = $db->v('id');

// Placeholder-Tabelle ergnzen
$ddata = serialize(array('label'=>'', 'short'=>'1'));
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$upload_template_id.", 4, 'Name', 1, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$upload_template_id.", 4, 'Email', 2, '".$ddata."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$upload_template_id.", 4, 'Nachricht', 3, '');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$upload_template_id.", 3, 'Bild 1', 4, '');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$upload_template_id.", 1, 'Datei 1', 5, '');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$upload_template_id.", 2, 'Beschreibung', 6, '');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$upload_template_id.", 5, 'Homepage', 7, '');";
$db->query($query);
  
$message[] = "Das Upload-Template <i>".$template_name."</i> wurde angelegt";

// Finale Meldung ************************************************************************************
$message[] = sprintf(__('Now you should work on the <a href="%s">module settings</a> or return to the <a href="%s">module management</a>.'),
				BASE_ABS.$moduleDirectory.'/edit.php',
				BASE_ABS.'_admin/modules.php');

include(CPO_BASEDIR.'_include/message.php');

// ==== footer =====
include(CPO_BASEDIR.'_include/footer.php');

?>

